
proc radiant_makeframe {} {

   global gmaj
   global gmin
   global glab
   global gqglab
   set gqglab "Current"

   # Width of the buttons
   set btnwidth 24

   # These 2 lists must have the same number of values
   set gmaj { 1      1      1      4      8      16      32      64      128 }
   set gmin { 0.1250 0.2500 0.5000 1.0000 2.0000 4.0000 8.0000 16.0000 32.0000 }
   # This list provides labels - if the number of labels doesn't match the number
   # og maj/min values, no labels will be printed
   #set glab { "0.49 inch" "0.98 inch" "1.97 inch" "3.94 inch" "4.92 inch" "9.84 inch" "19.69 inch" "39.37 inch" "78.74 inch" }
   set glab { }

#new_toplevel is better for multi-platform compatibility, and does all the transient stuff for you.
   new_toplevel .radiant "Radiant Units"
   set width 6
   set ypad 3

   frame .radiant.frmmain
   pack .radiant.frmmain -side top -fill x

frame .radiant.frmmain.c
label .radiant.frmmain.c.lab -text "Current: "
pack .radiant.frmmain.c.lab -side left
entry .radiant.frmmain.c.e1 -textvariable prefs_drawgrid -border 0 -state readonly -width 6
pack  .radiant.frmmain.c.e1 -side left -expand 1
label .radiant.frmmain.c.space -text " / "
pack .radiant.frmmain.c.space -side left
entry .radiant.frmmain.c.e2 -textvariable prefs_grid -border 0 -state readonly -width 6
pack  .radiant.frmmain.c.e2 -side left -expand 1
pack .radiant.frmmain.c -side top

   set i [llength $gmaj]
   for { set ix 0 } { $ix < $i } { incr ix } {
      if { $i == [llength $glab] } {
         set labtext "[lindex $glab $ix] ( [lindex $gmaj $ix] / [lindex $gmin $ix] )"
      } else {
         set labtext "[lindex $gmaj $ix] / [lindex $gmin $ix]"
      }
      button .radiant.frmmain.btn$ix -text $labtext -command "set prefs_drawgrid [lindex $gmaj $ix] ; set prefs_grid [lindex $gmin $ix] ; ac3d redraw_all" -width $btnwidth
      pack .radiant.frmmain.btn$ix -side top -fill y -expand 1
   }

}

proc radiant_dialog {} {

   if ![winfo exists .radiant] {
      radiant_makeframe
   }

   wm deiconify .radiant
   centre_window_on_screen .radiant

}

# add item to AC3D's Tools menu
add_tools_menu_item "Radiant Units..." radiant_dialog "Radiant Units"

